## libvma-9.8.20.tar.gz.0f72d0f1026c8af729bd2b3464942e3e

=== tests/tcp_window_size_exerciser/Makefile ===
#
# Copyright © 2023 NVIDIA CORPORATION & AFFILIATES. ALL RIGHTS RESERVED.
#
# This software is available to you under a choice of one of two
# licenses.  You may choose to be licensed under the terms of the GNU
# General Public License (GPL) Version 2, available from the file
# COPYING in the main directory of this source tree, or the
# BSD license below:
#
#     Redistribution and use in source and binary forms, with or
#     without modification, are permitted provided that the following
#     conditions are met:
#
#      - Redistributions of source code must retain the above
#        copyright notice, this list of conditions and the following
#        disclaimer.
#
#      - Redistributions in binary form must reproduce the above
#        copyright notice, this list of conditions and the following
#        disclaimer in the documentation and/or other materials
#        provided with the distribution.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

CC = gcc
LDFLAGS += -lrt 
TARGETS = client server

all: $(TARGETS)

client: tcp_wnd_test_client.c
	$(CC) $(LDFLAGS) $^ -o client

server: tcp_wnd_test_server.c
	$(CC) $(LDFLAGS) $^ -o server

clean:
	rm -f $(TARGETS)

=== debian/control ===
Source: libvma
Section: net
Priority: optional
Maintainer: NVIDIA CORPORATION <networking-support@nvidia.com>
Build-Depends: debhelper (>= 7),
 pkg-config,
 autoconf,
 automake,
 libibverbs-dev,
 librdmacm-dev,
 libnl-route-3-dev | libnl-dev,
Homepage: https://github.com/Mellanox/libvma

Package: libvma
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LD_PRELOAD-able library that boosts performance
 libvma is a LD_PRELOAD-able library that boosts performance of TCP and
 UDP traffic. It allows application written over standard socket API to
 handle fast path data traffic from user space over Ethernet and/or
 Infiniband with full network stack bypass and get better throughput,
 latency and packets/sec rate.
 .
 No application binary change is required for that.
 libvma is supported by RDMA capable devices that support "verbs"
 IBV_QPT_RAW_PACKET QP for Ethernet and/or IBV_QPT_UD QP for IPoIB.
 .
 This package includes the dynamic library itself.

Package: libvma-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvma (= ${binary:Version})
Description: Development files for the libvma library
 libvma is a LD_PRELOAD-able library that boosts performance of TCP and
 UDP traffic. It allows application written over standard socket API to
 handle fast path data traffic from user space over Ethernet and/or
 Infiniband with full network stack bypass and get better throughput,
 latency and packets/sec rate.
 .
 No application binary change is required for that.
 libvma is supported by RDMA capable devices that support "verbs"
 IBV_QPT_RAW_PACKET QP for Ethernet and/or IBV_QPT_UD QP for IPoIB.
 .
 This package includes headers for building programs with libvma's interface
 directly, as opposed to loading it dynamically with LD_PRELOAD.

Package: libvma-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, libvma (= ${binary:Version})
Description: Debugging symbols for the libvma library
 libvma is a LD_PRELOAD-able library that boosts performance of TCP and
 UDP traffic. It allows application written over standard socket API to
 handle fast path data traffic from user space over Ethernet and/or
 Infiniband with full network stack bypass and get better throughput,
 latency and packets/sec rate.
 .
 No application binary change is required for that.
 libvma is supported by RDMA capable devices that support "verbs"
 IBV_QPT_RAW_PACKET QP for Ethernet and/or IBV_QPT_UD QP for IPoIB.
 .
 This package contains the debugging symbols associated with libvma.

Package: libvma-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvma (= ${binary:Version})
Description: Examples and tools for the libvma library
 libvma is a LD_PRELOAD-able library that boosts performance of TCP and
 UDP traffic. It allows application written over standard socket API to
 handle fast path data traffic from user space over Ethernet and/or
 Infiniband with full network stack bypass and get better throughput,
 latency and packets/sec rate.
 .
 No application binary change is required for that.
 libvma is supported by RDMA capable devices that support "verbs"
 IBV_QPT_RAW_PACKET QP for Ethernet and/or IBV_QPT_UD QP for IPoIB.
 .
 This package contains the tool vma_stats for collecting and
 analyzing Libvma statistic.
